# /usr/space Web-Ext (Firefox Add-on)

## Features
- Show if someone is in the Space
  - Looks for connected dynamic IPs (DHCP)
  - Refreshes every 5min
- Show the next event
- Quick-Links (Homepage, Wiki, Gitea, Nextcloud)

## Install
```ssh
$ git clone https://gitea.usrspace.at/XimeX/usrspace-browser-addon.git
$ npm i -g web-ext
$ npm i
```

## Run / Develop / Debug
```ssh
$ npm run watch:{firefox|firefox-android|chromium}
```

If more options are needed add them after a `--`.

Some useful options:
- `--devtools`
- `--firefox-apk=...`
- `--android-device=...`

Example: `npm run watch:firefox-android -- --firefox-apk=org.mozilla.fenix --firefox-device=XXXXXXXX`.

## Build
```ssh
// For Firefox
$ npm run build:firefox
// For Chromium
$ npm run build:chromium
```

## Release
```ssh
$ npm version {major|minor|patch|...}
```

## Developent Docs
- [Getting started](https://extensionworkshop.com/documentation/develop/getting-started-with-web-ext/)
- [web-ext command reference](https://extensionworkshop.com/documentation/develop/web-ext-command-reference/)
- [WebExtensions MDN Docu](https://developer.mozilla.org/en-US/docs/Mozilla/Add-ons/WebExtensions)

## Credits
Used icons from Bootstrap
https://github.com/twbs/icons/blob/main/LICENSE.md

## License
MIT
